Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1567585 - [abrt] fprintd: bozorth_gallery_init(): fprintd killed by SIGSEGV
Summary: [abrt] fprintd: bozorth_gallery_init(): fprintd killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fprintd
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:49ff7074e5ad62c535c82c725e5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-15 05:46 UTC by hossain vatani
Modified: 2018-05-29 11:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:20:18 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (18.61 KB, text/plain)
2018-04-15 05:46 UTC, hossain vatani
no flags Details
File: cgroup (301 bytes, text/plain)
2018-04-15 05:46 UTC, hossain vatani
no flags Details
File: core_backtrace (13.19 KB, text/plain)
2018-04-15 05:46 UTC, hossain vatani
no flags Details
File: cpuinfo (1.25 KB, text/plain)
2018-04-15 05:46 UTC, hossain vatani
no flags Details
File: dso_list (3.39 KB, text/plain)
2018-04-15 05:46 UTC, hossain vatani
no flags Details
File: environ (145 bytes, text/plain)
2018-04-15 05:46 UTC, hossain vatani
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-15 05:46 UTC, hossain vatani
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-15 05:46 UTC, hossain vatani
no flags Details
File: maps (17.57 KB, text/plain)
2018-04-15 05:46 UTC, hossain vatani
no flags Details
File: open_fds (1014 bytes, text/plain)
2018-04-15 05:46 UTC, hossain vatani
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2018-04-15 05:46 UTC, hossain vatani
no flags Details
File: var_log_messages (1.29 KB, text/plain)
2018-04-15 05:46 UTC, hossain vatani
no flags Details

Description hossain vatani 2018-04-15 05:46:06 UTC
Version-Release number of selected component:
fprintd-0.7.0-2.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/fprintd
crash_function: bozorth_gallery_init
executable:     /usr/libexec/fprintd
journald_cursor: s=45cf7f5991b24decba941ed09195b1bf;i=1a17;b=0126056c16734789b4ed8e5c92adb31a;m=25bf158b34;t=569a79abf7875;x=30a5e5d5f2f1bf6e
kernel:         4.15.14-200.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 bozorth_gallery_init at nbis/bozorth3/bz_drvrs.c:135
 #1 bozorth_to_gallery at nbis/bozorth3/bz_drvrs.c:173
 #2 fpi_img_compare_print_data_to_gallery at img.c:411
 #3 identify_process_img at imgdev.c:216
 #4 fpi_imgdev_image_captured at imgdev.c:295
 #5 submit_image at drivers/vfs5011.c:419
 #6 activate_loop_complete at drivers/vfs5011.c:752
 #7 __subsm_complete at drv.c:119
 #8 async_recv_cb at drivers/vfs5011.c:176
 #9 usbi_handle_transfer_completion at io.c:1671

Comment 1 hossain vatani 2018-04-15 05:46:11 UTC
Created attachment 1422051 [details]
File: backtrace

Comment 2 hossain vatani 2018-04-15 05:46:13 UTC
Created attachment 1422052 [details]
File: cgroup

Comment 3 hossain vatani 2018-04-15 05:46:15 UTC
Created attachment 1422053 [details]
File: core_backtrace

Comment 4 hossain vatani 2018-04-15 05:46:16 UTC
Created attachment 1422054 [details]
File: cpuinfo

Comment 5 hossain vatani 2018-04-15 05:46:18 UTC
Created attachment 1422055 [details]
File: dso_list

Comment 6 hossain vatani 2018-04-15 05:46:19 UTC
Created attachment 1422056 [details]
File: environ

Comment 7 hossain vatani 2018-04-15 05:46:21 UTC
Created attachment 1422057 [details]
File: exploitable

Comment 8 hossain vatani 2018-04-15 05:46:22 UTC
Created attachment 1422058 [details]
File: limits

Comment 9 hossain vatani 2018-04-15 05:46:25 UTC
Created attachment 1422059 [details]
File: maps

Comment 10 hossain vatani 2018-04-15 05:46:26 UTC
Created attachment 1422060 [details]
File: open_fds

Comment 11 hossain vatani 2018-04-15 05:46:28 UTC
Created attachment 1422061 [details]
File: proc_pid_status

Comment 12 hossain vatani 2018-04-15 05:46:29 UTC
Created attachment 1422062 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2018-05-03 07:51:32 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2018-05-29 11:20:18 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.